import request from '@/utils/request'

// 查询会话列表列表
export function listConversation(query) {
  return request({
    url: '/system/conversation/list',
    method: 'get',
    params: query
  })
}

// 查询会话列表详细
export function getConversation(id) {
  return request({
    url: '/system/conversation/' + id,
    method: 'get'
  })
}

// 设置备注
export function updateConversation(data) {
  return request({
    url: '/system/conversation',
    method: 'put',
    data: data
  })
}

// 查询对话列表（详情）
export function getConversationChatList(conversationId) {
  return request({
    url: '/system/conversation/getConversationChatList/' + conversationId,
    method: 'get'
  })
}
